RDKit: RDDepict::EmbeddedAtom Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
RDDepict::EmbeddedAtom Class Reference

Class that contains the data for an atoms that has already been embedded. More...

`#include <EmbeddedFrag.h>`

## Public Types
enum | EAtomType { UNSPECIFIED = 0 , CISTRANS , RING }

## Public Member Functions
| EmbeddedAtom ()
| EmbeddedAtom (const EmbeddedAtom &other)=default
| EmbeddedAtom (unsigned int aid, const RDGeom::Point2D &pos)
EmbeddedAtom & | operator= (const EmbeddedAtom &other)
void | Transform (const RDGeom::Transform2D &trans)
void | Reflect (const RDGeom::Point2D &loc1, const RDGeom::Point2D &loc2)

## Public Attributes
unsigned int | aid {0}
double | angle {-1.0}
int | nbr1 {-1}
| the first neighbor of this atom that form the 'angle'
int | nbr2 {-1}
| the second neighbor of atom that from the 'angle'
int | CisTransNbr {-1}
bool | ccw {true}
int | rotDir {0}
RDGeom::Point2D | loc
RDGeom::Point2D | normal
RDKit::INT_VECT | neighs
| and these are the atom IDs of the neighbors that still need to be embedded
double | d_density {-1.0}
bool | df_fixed {false}

## Detailed Description

Class that contains the data for an atoms that has already been embedded.

Definition at line 29 of file EmbeddedFrag.h.

## Member Enumeration Documentation

## ◆ EAtomType

enum RDDepict::EmbeddedAtom::EAtomType

Enumerator
UNSPECIFIED |
CISTRANS |
RING |

Definition at line 31 of file EmbeddedFrag.h.

## Constructor & Destructor Documentation

## ◆ EmbeddedAtom() [1/3]

RDDepict::EmbeddedAtom::EmbeddedAtom | ( |  | ) |
| inline

Definition at line 33 of file EmbeddedFrag.h.

References neighs.

Referenced by EmbeddedAtom(), and operator=().

## ◆ EmbeddedAtom() [2/3]

RDDepict::EmbeddedAtom::EmbeddedAtom | ( | const EmbeddedAtom & | other | ) |
| default

References EmbeddedAtom().

## ◆ EmbeddedAtom() [3/3]

RDDepict::EmbeddedAtom::EmbeddedAtom | ( | unsigned int | aid,
|  | const RDGeom::Point2D & | pos )
| inline

Definition at line 37 of file EmbeddedFrag.h.

References aid, angle, ccw, CisTransNbr, d_density, df_fixed, loc, nbr1, nbr2, and rotDir.

## Member Function Documentation

## ◆ operator=()

EmbeddedAtom & RDDepict::EmbeddedAtom::operator= | ( | const EmbeddedAtom & | other | ) |
| inline

Definition at line 50 of file EmbeddedFrag.h.

References angle, ccw, CisTransNbr, d_density, df_fixed, EmbeddedAtom(), loc, nbr1, nbr2, neighs, normal, and rotDir.

## ◆ Reflect()

void RDDepict::EmbeddedAtom::Reflect | ( | const RDGeom::Point2D & | loc1,
|  | const RDGeom::Point2D & | loc2 )
| inline

Definition at line 76 of file EmbeddedFrag.h.

References ccw, loc, normal, and RDDepict::reflectPoint().

## ◆ Transform()

void RDDepict::EmbeddedAtom::Transform | ( | const RDGeom::Transform2D & | trans | ) |
| inline

Definition at line 69 of file EmbeddedFrag.h.

References loc, normal, and RDGeom::Transform2D::TransformPoint().

## Member Data Documentation

## ◆ aid

unsigned int RDDepict::EmbeddedAtom::aid {0}

Definition at line 84 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom().

## ◆ angle

double RDDepict::EmbeddedAtom::angle {-1.0}

the angle that is already takes at this atom, so any new atom attaching to this atom with have to fall in the available part

Definition at line 88 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ ccw

bool RDDepict::EmbeddedAtom::ccw {true}

which direction do we rotate this normal to add the next bond if ccw is true we rotate counter clockwise, otherwise rotate clock wise, by an angle that is <= PI/2

Definition at line 103 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), operator=(), and Reflect().

## ◆ CisTransNbr

int RDDepict::EmbeddedAtom::CisTransNbr {-1}

is this is a cis/trans atom the neighbor of this atom that is involved in the cis/trans system - defaults to -1

Definition at line 98 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ d_density

double RDDepict::EmbeddedAtom::d_density {-1.0}

Definition at line 125 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ df_fixed

bool RDDepict::EmbeddedAtom::df_fixed {false}

if set this atom is fixed: further operations on the fragment may not move it.

Definition at line 129 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ loc

RDGeom::Point2D RDDepict::EmbeddedAtom::loc

Definition at line 111 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), operator=(), Reflect(), and Transform().

## ◆ nbr1

int RDDepict::EmbeddedAtom::nbr1 {-1}

the first neighbor of this atom that form the 'angle'

Definition at line 91 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ nbr2

int RDDepict::EmbeddedAtom::nbr2 {-1}

the second neighbor of atom that from the 'angle'

Definition at line 94 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ neighs

RDKit::INT_VECT RDDepict::EmbeddedAtom::neighs

and these are the atom IDs of the neighbors that still need to be embedded

Definition at line 119 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

## ◆ normal

RDGeom::Point2D RDDepict::EmbeddedAtom::normal

this is a normal vector to one of the bonds that added this atom it provides the side on which we want to add a new bond to this atom this is only relevant when we are dealing with non ring atoms. We would like to draw chains in a zig-zag manner

Definition at line 116 of file EmbeddedFrag.h.

Referenced by operator=(), Reflect(), and Transform().

## ◆ rotDir

int RDDepict::EmbeddedAtom::rotDir {0}

rotation direction around this atom when adding new atoms, we determine this for the first neighbor and stick to this direction after that useful only on atoms that are degree >= 4

Definition at line 109 of file EmbeddedFrag.h.

Referenced by EmbeddedAtom(), and operator=().

The documentation for this class was generated from the following file:

- EmbeddedFrag.h